import pandas as pd
import numpy as np
import matplotlib.pyplot as plt

df_regular = pd.read_csv('C:\\Users\\lappa\\Desktop\\Twente\\Master Thesis\\Practical\\NN models\\UPDATE\\LSTM_V1\\data\\traces\\Model_Data_depth2668\\regular\\IJ_test.csv', usecols=[0])
df_breath_hold = pd.read_csv('C:\\Users\\lappa\\Desktop\\Twente\\Master Thesis\\Practical\\NN models\\UPDATE\\LSTM_V1\\data\\traces\\Model_Data_depth2668\\breath_holding_intermittent\\IJ_test.csv', usecols=[0])
df_cough = pd.read_csv('C:\\Users\\lappa\\Desktop\\Twente\\Master Thesis\\Practical\\NN models\\UPDATE\\LSTM_V1\\data\\traces\\Model_Data_depth2668\\coughing_intermittent\\IJ_test.csv', usecols=[0])
df_deep = pd.read_csv('C:\\Users\\lappa\\Desktop\\Twente\\Master Thesis\\Practical\\NN models\\UPDATE\\LSTM_V1\\data\\traces\\Model_Data_depth2668\\deep\\IJ_test.csv', usecols=[0])
df_shallow = pd.read_csv('C:\\Users\\lappa\\Desktop\\Twente\\Master Thesis\\Practical\\NN models\\UPDATE\\LSTM_V1\\data\\traces\\Model_Data_depth2668\\shallow\\IJ_test.csv', usecols=[0])
df_recovery_breath_hold = pd.read_csv('C:\\Users\\lappa\\Desktop\\Twente\\Master Thesis\\Practical\\NN models\\UPDATE\\LSTM_V1\\data\\traces\\Model_Data_depth2668\\recovery_regular_breath_holding\\IJ_test.csv', usecols=[0])
df_recovery_deep = pd.read_csv('C:\\Users\\lappa\\Desktop\\Twente\\Master Thesis\\Practical\\NN models\\UPDATE\\LSTM_V1\\data\\traces\\Model_Data_depth2668\\recovery_regular_deep\\IJ_test.csv', usecols=[0])
df_recovery_shallow = pd.read_csv('C:\\Users\\lappa\\Desktop\\Twente\\Master Thesis\\Practical\\NN models\\UPDATE\\LSTM_V1\\data\\traces\\Model_Data_depth2668\\recovery_regular_shallow\\IJ_test.csv', usecols=[0])


mean_regular = np.mean(df_regular)
min_regular = np.amin(df_regular)
max_regular = np.amax(df_regular)
std_regular = np.std(df_regular)
mean_df_breath_hold = np.mean(df_breath_hold)
min_breath_hold = np.amin(df_breath_hold)
max_breath_hold = np.amax(df_breath_hold)
std_breath_hold = np.std(df_breath_hold)
mean_df_cough = np.mean(df_cough)
min_cough = np.amin(df_cough)
max_cough = np.amax(df_cough)
std_cough = np.std(df_cough)
mean_df_deep = np.mean(df_deep)
min_deep = np.amin(df_deep)
max_deep = np.amax(df_deep)
std_deep = np.std(df_deep)
mean_df_shallow = np.mean(df_shallow)
min_shallow = np.amin(df_shallow)
max_shallow = np.amax(df_shallow)
std_shallow = np.std(df_shallow)
mean_df_recovery_breath_hold = np.mean(df_recovery_breath_hold)
min_recovery_breath_hold = np.amin(df_recovery_breath_hold)
max_recovery_breath_hold = np.amax(df_recovery_breath_hold)
std_recovery_breath_hold = np.std(df_recovery_breath_hold)
mean_df_recovery_deep = np.mean(df_recovery_deep)
min_recovery_deep = np.amin(df_recovery_deep)
max_recovery_deep = np.amax(df_recovery_deep)
std_recovery_deep = np.std(df_recovery_deep)
mean_df_recovery_shallow = np.mean(df_recovery_shallow)
min_recovery_shallow = np.amin(df_recovery_shallow)
max_recovery_shallow = np.amax(df_recovery_shallow)
std_recovery_shallow = np.std(df_recovery_shallow)

print("Stop")
